--- dspam-exec.c.orig	2008-09-18 03:50:04.000000000 -0700
+++ dspam-exec.c	2008-11-01 13:03:13.000000000 -0700
@@ -79,6 +79,9 @@
 					readsize = -2;
 			}
 
+			if (readsize > 0)
+				debug("error: dspam returned <%s>", buf);
+
 			/*
 			 * readsize > 0 means that we read a message from
 			 * dspam, -1 means we failed to read for some odd
@@ -93,9 +96,15 @@
 		 * already waited above (waiting for stderr to close)
 		 */
 		waitpid(pid, &status, 0);
-		if (!WIFEXITED(status))
+		if (!WIFEXITED(status)) {
 			error = TRUE;
 
+			debug("dspam WIFEXITED=%d, WEXITSTATUS=%d"
+				, WIFEXITED(status)
+				, WEXITSTATUS(status)
+				);
+		}
+
 		close(pipes[0]);
 		if (error)
 			return 1;
@@ -135,7 +144,7 @@
 
 #ifdef DEBUG_SYSLOG
 		/*
-		 * not good with stderr debuggin since we then write to
+		 * not good with stderr debugging since we then write to
 		 * stderr which our parent takes as a bug
 		 */
 		debugv(argv);
